PROGRAM logical
implicit none

! Declarations
integer i
logical test

i=10
test=i<12
print*,'i=',i,'  i<12=',test
test=i.lt.12
print*,'i=',i,'  i.lt.12=',test

test=i==10
print*,'i=',i,'   i==10',test,i==10,.not.i==12

do i=1,20
   if (.not.i==12 .and. (i>=5 .and. i.lt.15)) then
      print*,' i=',i,'est different de 12 et 5=<i< 15'
   else
      print*,'ce n est pas le cas pour i=',i
   endif
enddo
end PROGRAM logical
     
